package com.loveCoding.j20250607_method;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description 方法的重载
 * @create 2025/6/7
 */
public class Demo01 {
    /*
        方法重载：指的是多个方法的【方法名相同】，但是【参数列表不同】，就形成了重载
        ps:方法的返回值不参与重载。
     */
    public static int add(int a,int b){
        return a+b;
    }
    //返回值类型不参与重载，也就是说返回值是什么对于重载来说无所谓。
    public static String add(double a,int b){
        return "";
    }
    public static int add(int a,int b,int c){
        return a+b+c;
    }
    public static int add(int a,int b,int c,int d){
        return a+b+c+d;
    }
    public static int add(int a,int b,int c,int d,int e){
        return a+b+c+d+e;
    }

    public static int add(int a,int b,int c,int d,int e,int f){
        return a+b+c+d+e+f;
    }
    // 我们使用main方法调用我们自己定义的方法，其实是站在用户的角度使用我们定义的方法程序。
    public static void main(String[] args) {
        add(1,2,3,4,5,6);
    }
}
